Reverse Geocoding

Instantpay's Reverse Geocoding Service helps businesses. It converts latitude and longitude into readable addresses. This provides accurate, accessible location information. This service improves user experiences in navigation and mapping apps. It does this by turning geographic coordinates into recognisable addresses.

The Reverse Geocoding Service is ideal for GPS-based businesses. It converts raw coordinates to precise addresses. This helps users interact with location data easily. Integrate this solution to improve service, optimise logistics, and ensure accurate, user-friendly maps.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
latitudeStringMandatoryLocation Latitude
longitudeStringMandatoryLocation Longitude
externalRefStringMandatoryUnique Transaction id

Sample Request

curl --location 'https://api.instantpay.in/identity/reverseGeocoding' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
    "latitude":28.5047896,
		"longitude":77.297967,
		"externalRef":"8e8"
 
}'
POST /identity/reverseGeocoding HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 80

{
    "latitude":28.5047896,
		"longitude":77.297967,
		"externalRef":"8e8"
 
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "poolReferenceId": "1230919170205EVNBT",
        "pool": {
            "account": "7428585742",
            "openingBal": "98386.66",
            "mode": "DR",
            "amount": "1.18",
            "closingBal": "98385.48"
        },
        "reverseGeocodingDetail": {
            "addressComponents": [
                {
                    "longName": "G73X+X4M",
                    "shortName": "G73X+X4M",
                    "types": [
                        "plus_code"
                    ]
                },
                {
                    "longName": "Block B-1",
                    "shortName": "Block B-1",
                    "types": [
                        "neighborhood",
                        "political"
                    ]
                },
                {
                    "longName": "Block E",
                    "shortName": "Block E",
                    "types": [
                        "political",
                        "sublocality",
                        "sublocality_level_3"
                    ]
                },
                {
                    "longName": "Mohan Cooperative Industrial Estate",
                    "shortName": "Mohan Cooperative Industrial Estate",
                    "types": [
                        "political",
                        "sublocality",
                        "sublocality_level_2"
                    ]
                },
                {
                    "longName": "Badarpur",
                    "shortName": "Badarpur",
                    "types": [
                        "political",
                        "sublocality",
                        "sublocality_level_1"
                    ]
                },
                {
                    "longName": "New Delhi",
                    "shortName": "New Delhi",
                    "types": [
                        "locality",
                        "political"
                    ]
                },
                {
                    "longName": "South East Delhi",
                    "shortName": "South East Delhi",
                    "types": [
                        "administrative_area_level_3",
                        "political"
                    ]
                },
                {
                    "longName": "Delhi Division",
                    "shortName": "Delhi Division",
                    "types": [
                        "administrative_area_level_2",
                        "political"
                    ]
                },
                {
                    "longName": "Delhi",
                    "shortName": "DL",
                    "types": [
                        "administrative_area_level_1",
                        "political"
                    ]
                },
                {
                    "longName": "India",
                    "shortName": "IN",
                    "types": [
                        "country",
                        "political"
                    ]
                },
                {
                    "longName": "110044",
                    "shortName": "110044",
                    "types": [
                        "postal_code"
                    ]
                }
            ],
            "formattedAddress": "G73X+X4M, Block B-1, Block E, Mohan Cooperative Industrial Estate, Badarpur, New Delhi, Delhi 110044, India",
            "geometry": {
                "location": {
                    "lat": 28.5049603,
                    "lng": 77.2978078
                },
                "locationType": "GEOMETRIC_CENTER",
                "viewport": {
                    "northeast": {
                        "lat": 28.50630928029151,
                        "lng": 77.29915678029151
                    },
                    "southwest": {
                        "lat": 28.5036113197085,
                        "lng": 77.29645881970849
                    }
                }
            },
            "placeId": "ChIJZ3CxYVLnDDkRDsf2vBruc24",
            "types": [
                "establishment",
                "food",
                "point_of_interest"
            ]
        }
    },
    "timestamp": "2023-09-19 17:02:05",
    "ipay_uuid": "h0009a2ba92b-13b3-4069-879a-d9ac7f7fdedc-4WDM6nWRP818",
    "orderid": "1230919170205EVNBT",
    "environment": "SANDBOX",
    "internalCode": null
}
Body Params
string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json